import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { HomeComponent } from './home/home.component';
import { GridComponent } from './grid/grid.component';
import { CustomTreeGridComponent } from './custom-tree-grid/custom-tree-grid.component';
import { HierarchicalGridComponent } from './hierarchical-grid/hierarchical-grid.component';

const routes: Routes = [
  { path: '', redirectTo: '/home', pathMatch: 'full' },
  { path: 'home', component: HomeComponent, data: { text: 'Home' } },
  { path: 'grid', component: GridComponent, data: { text: 'Grid' } },
  { path: 'custom-tree-grid', component: CustomTreeGridComponent, data: { text: 'Custom Tree Grid' } },
  { path: 'hierarchical-grid', component: HierarchicalGridComponent, data: { text: 'Hierarchical Grid' } }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {
}
