import { BrowserModule, HammerModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { HomeComponent } from './home/home.component';
import { GridComponent } from './grid/grid.component';
import { IgxGridModule, IgxTreeGridModule, IgxHierarchicalGridModule } from 'igniteui-angular';
import { CustomTreeGridComponent } from './custom-tree-grid/custom-tree-grid.component';
import { HierarchicalGridComponent } from './hierarchical-grid/hierarchical-grid.component';

@NgModule({
  declarations: [
    AppComponent,
    HomeComponent,
    GridComponent,
    CustomTreeGridComponent,
    HierarchicalGridComponent
  ],
  imports: [
    BrowserModule,
    HammerModule,
    AppRoutingModule,
    BrowserAnimationsModule,
    IgxGridModule,
    IgxTreeGridModule,
    IgxHierarchicalGridModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {
}
